Flash Apocalypse: A new Moodle report plugin released

By Dan MarsdenProfile picture of Dan Marsden - male with glasses and beard smiling friendly

SCORM 1.2 was released in 2001 and Flash was quickly adopted as an easy way to provide interactive elearning packages with popular authoring tools such as Articulate, Adobe Captivate, Lectora and many others. Today, Flash is deprecated in favour of HTML5; due to ongoing concerns with security, resource usage, browser controls on its use, and not being adopted on mobile platforms. However, there remains a large catalogue of elearning content containing Flash. Particularly those organisations who have chosen to support older versions of browsers with limited (or no) HTML5 support, such as Internet Explorer.

While the official end-of-life for Flash is not until December 2020, its effective death is much sooner, in mid-2019 when browser support for Flash ends. Based on our observation of awareness and preparation for this, it's now named 'The Flash Apocalypse'.

While most Flash content in a learning management system is embedded within a SCORM package, it can also be used within many other areas of your site. I wrote a new Moodle report for Moodle called The Flash Apocalypse Report, and have been surprised at the wide use of Flash content we have found in our clients' sites, we've found Flash content within forums, book modules, pages, wiki and some contained within older legacy course file areas. In conversation with our clients, they have been surprised to hear that the content identified in this report was actually Flash!

How to manage the Flash Apocalypse?

The Flash Apocalypse Report identifies Flash files inside all activities and resources across your site. The Articulate storyline authoring tool has historically provided 'dual-publishing' support, allowing for the package to use HTML5 when Flash is not supported - the report takes a look inside the content to see if the package provides dual support by looking for a file called 'index_lms_html5.html' and will identify this in the report. Packages with dual support may still require an update because the html5 version within the SCORM package did not always provide the same functionality.

SCORM packages are published as a zip file and are essentially ‘read-only’ versions of the elearning content and the original source files are required if you need to update the package. If you still have the original source files used to publish your SCORM package, the authoring tool may provide a migration path, but if the original source files are no longer available you will need to recreate or retire the content.

A  report showing activities in your site that contain flash-based material

SCORM is an old and outdated technology created before mobile learning and even the popularity of wifi networks! If you need to recreate your content, you should completely avoid SCORM and instead use the built-in content development tools that Moodle provides such as the Lesson module, which provides a simple and very cost-effective replacement for your SCORM packages, however, if you are looking for a richer more interactive experience I highly recommend the free, open source H5P tool which can be integrated directly into your Moodle site.

When our clients are replacing SCORM packages I am often asked about xAPI/Tin Can. xAPI becomes very powerful if you have a number of systems or tools where learning occurs and you want a single place to report on them all (in a Learning Record Store). However, if most of your learning occurs within Moodle or if you want all your reporting to sit within Moodle, then xAPI is unlikely to meet your needs.

If you are unsure about this, have a chat with one of our consultants who can help you choose the right tool. Catalyst provides integrations with both H5P and xAPI for our clients.

The Apocalypse Report supports Totara 2.9 and higher, as well as Moodle 2.9 and all higher versions. (Although hopefully you aren't stuck on an old Moodle release as support for Moodle 3.1 ends in 6 months - contact us if you'd like help with your upgrade!)

Need help with the Flash Apocalypse?

Get in touch with us if you’d like assistance in getting our new Moodle plugin working for you. We can also assist with the authoring for replacement learning content.

Learn more about elearning at Catalyst IT.